/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.bc.ftp;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

import javax.activation.DataSource;
import javax.activation.FileTypeMap;

/**
 *
 * @author alouis
 *
 */
public class StreamDataSource implements DataSource {

    private InputStream input;

    private OutputStream output;

    private String fileName;

    public StreamDataSource(InputStream input, String fileName) {
        this.input = input;
        this.fileName = fileName;
    }

    public StreamDataSource(OutputStream output) {
        this.output = output;
    }

    public String getContentType() {
        return FileTypeMap.getDefaultFileTypeMap().getContentType(fileName);
    }

    public InputStream getInputStream() throws IOException {
        return input;
    }

    public String getName() {
        return "stream datasource";
    }

    public OutputStream getOutputStream() throws IOException {
        return output;
    }

}
